Permalink
Browse files

Bump rails deps to >= 3.2.6

  • Loading branch information...
1 parent 5bbf22e commit 09505e7ef607296e04842f9ee05ab993de236b47 @spastorino spastorino committed Jun 14, 2012
Showing with 4 additions and 24 deletions.
  1. +1 −21 lib/rails-api/application.rb
  2. +3 −3 rails-api.gemspec
@@ -59,24 +59,6 @@ def default_middleware_stack
end
end
- if Rails::VERSION::STRING <= "3.2.3"
- def load_generators(app=self)
- super
- require 'rails/generators/rails/resource/resource_generator'
- Rails::Generators::ResourceGenerator.class_eval do
- def add_resource_route
- return if options[:actions].present?
- route_config = regular_class_path.collect{|namespace| "namespace :#{namespace} do " }.join(" ")
- route_config << "resources :#{file_name.pluralize}"
- route_config << ", except: :edit"
- route_config << " end" * regular_class_path.size
- route route_config
- end
- end
- self
- end
- end
-
private
def ssl_module
@@ -92,9 +74,7 @@ def setup_generators!
generators = config.generators
generators.templates.unshift File::expand_path('../templates', __FILE__)
- if Rails::VERSION::STRING > "3.2.3"
- generators.resource_route = :api_resource_route
- end
+ generators.resource_route = :api_resource_route
%w(assets css js session_migration).each do |namespace|
generators.hide_namespace namespace
View
@@ -25,9 +25,9 @@ Gem::Specification.new do |gem|
gem.bindir = 'bin'
gem.executables = ['rails-api']
- gem.add_runtime_dependency 'actionpack', '>= 3.2.2'
- gem.add_runtime_dependency 'railties', '>= 3.2.2'
+ gem.add_runtime_dependency 'actionpack', '>= 3.2.6'
+ gem.add_runtime_dependency 'railties', '>= 3.2.6'
gem.add_runtime_dependency 'tzinfo', '~> 0.3.31'
- gem.add_development_dependency 'rails', '>= 3.2.2'
+ gem.add_development_dependency 'rails', '>= 3.2.6'
end

0 comments on commit 09505e7

Please sign in to comment.